
server.port=8081
#TODO
#server.servlet.context-path=/resource-server
#spring.security.oauth2.resourceserver.jwt.issuer-uri=http://localhost:8080/
#spring.security.oauth2.resourceserver.jwt.jwk-set-uri:=http://localhost:5000/auth/trying

spring.h2.console.enabled=true

spring.security.oauth2.resourceserver.opaque-token.introspection-uri=https://oidc.muni.cz/oidc/introspect
spring.security.oauth2.resourceserver.opaque-token.client-id=d57b3a8f-156e-46de-9f27-39c4daee05e1
spring.security.oauth2.resourceserver.opaque-token.client-secret=fa228ebc-4d54-4cda-901e-4d6287f8b1652a9c9c44-73c9-4502-973f-bcdb4a8ec96a


#TODO END

management.endpoints.web.exposure.include=health,metrics,prometheus
management.endpoint.health.show-details=always
management.health.defaults.enabled=true
management.endpoint.health.probes.enabled=true

spring.jpa.open-in-view=false
spring.h2.console.enabled=true
spring.datasource.url=jdbc:h2:mem:school
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
# showing SQL is generally good practice for running project locally to check whether there is not an issue with implementation of JPA methods.
spring.jpa.show-sql=true
spring.jackson.property-naming-strategy=LOWER_CAMEL_CASE
spring.cache.type=NONE
appconfig.enablecache=false



#org.springframework.web.client.RestTemplate: debug
#org.springframework.security: debug
#org.springframework.security.web.DefaultSecurityFilterChain: warn
#org.springframework.security.web.context.HttpSessionSecurityContextRepository: info
#org.springframework.security.web.FilterChainProxy: info
#org.springframework.security.web.authentication.AnonymousAuthenticationFilter: info
#org.springframework.security.config.annotation.authentication.configuration: info
#org.springframework.boot.web.servlet.context.ServletWebServerApplicationContext: warn
#org.springframework.boot.web.embedded.tomcat: warn
#org.apache.catalina.core: warn